org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class GroupStepV3d0<S,K,V,R>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.ReducingBarrierStep<S,Map<K,R>>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.GroupStepV3d0<S,K,V,R>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<Map<K,R>>>, Step<S,Map<K,R>>, Barrier<Map<K,R>>, ByModulating, Generating<Map<K,R>,Map<K,R>>, MemoryComputing<Map<K,R>>, TraversalParent

  Deprecated.
  As of release 3.1.0, replaced by `GroupStep`.

      public final class GroupStepV3d0<S,K,V,R>
      extends ReducingBarrierStep<S,Map<K,R>>
      implements TraversalParent, ByModulating

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupStepV3d0.GroupBiOperatorV3d0<K,V>` Deprecated.

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ReducingBarrierStep

      `reducingBiOperator, seedSupplier`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupStepV3d0(Traversal.Admin traversal)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupStepV3d0<S,K,V,R>` | `clone()` Deprecated. Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication.
    `Map<K,R>` | `generateFinalResult(Map<K,R> valueMap)` Deprecated. Post-process the side-effect and return the post-processed side-effect.
    `<A,B> List<Traversal.Admin<A,B>>` | `getLocalChildren()` Deprecated.
    `Set<TraverserRequirement>` | `getRequirements()` Deprecated. Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `int` | `hashCode()` Deprecated.
    `void` | `modulateBy(Traversal.Admin<?,?> kvrTraversal)` Deprecated.
    `Map<K,R>` | `projectTraverser(Traverser.Admin<S> traverser)` Deprecated.
    `void` | `setTraversal(Traversal.Admin<?,?> parentTraversal)` Deprecated. Set the `Traversal` that this step is contained within.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ReducingBarrierStep

      `addBarrier, done, getBiOperator, getMemoryComputeKey, getSeedSupplier, hasNextBarrier, nextBarrier, processAllStarts, processNextStart, reset, setReducingBiOperator, setSeedSupplier`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, setId, setNextStep, setPreviousStep`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalParent

      `addGlobalChild, addLocalChild, asStep, close, getGlobalChildren, getSelfAndChildRequirements, integrateChild, removeGlobalChild, removeLocalChild`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.ByModulating

      `modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### GroupStepV3d0

          public GroupStepV3d0(Traversal.Admin traversal)

      Deprecated.

  - ### Method Detail

    - #### projectTraverser

          public Map<K,R> projectTraverser(Traverser.Admin<S> traverser)

      Deprecated.
      Specified by:
        `projectTraverser` in class `ReducingBarrierStep<S,Map<K,R>>`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `AbstractStep<S,Map<K,R>>`

    - #### generateFinalResult

          public Map<K,R> generateFinalResult(Map<K,R> valueMap)

      Deprecated.
      Description copied from interface: `Generating`
      Post-process the side-effect and return the post-processed side-effect. The default implementation is simply the identity function and returns the argument.
      Specified by:
        `generateFinalResult` in interface `Generating<Map<K,R>,Map<K,R>>`
      Parameters:
        `valueMap` - the pre-processed side-effect.
      Returns:
        the post-processed side-effect.

    - #### getLocalChildren

          public <A,B> List<Traversal.Admin<A,B>> getLocalChildren()

      Deprecated.
      Specified by:
        `getLocalChildren` in interface `TraversalParent`

    - #### modulateBy

          public void modulateBy(Traversal.Admin<?,?> kvrTraversal)

      Deprecated.
      Specified by:
        `modulateBy` in interface `ByModulating`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Deprecated.
      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Specified by:
        `getRequirements` in interface `Step<S,Map<K,R>>`
      Returns:
        the set of requirements

    - #### clone

          public GroupStepV3d0<S,K,V,R> clone()

      Deprecated.
      Description copied from interface: `Step`
      Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication. When cloning a step, it is important that the steps, the cloned step is equivalent to the state of the step when reset() is called. Moreover, the previous and next steps should be set to `EmptyStep`.
      Specified by:
        `clone` in interface `Step<S,Map<K,R>>`
      Overrides:
        `clone` in class `ReducingBarrierStep<S,Map<K,R>>`
      Returns:
        The cloned step

    - #### setTraversal

          public void setTraversal(Traversal.Admin<?,?> parentTraversal)

      Deprecated.
      Description copied from interface: `Step`
      Set the `Traversal` that this step is contained within.
      Specified by:
        `setTraversal` in interface `Step<S,Map<K,R>>`
      Overrides:
        `setTraversal` in class `AbstractStep<S,Map<K,R>>`
      Parameters:
        `parentTraversal` - the new traversal for this step

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `AbstractStep<S,Map<K,R>>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.